Bug 535458 - (RHQ-2151) RFE: Support for authenticated SMTP for alerts
RFE: Support for authenticated SMTP for alerts
Status: NEW
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 08:58 EDT by Rodrigo A B Freire
Modified: 2014-05-05 17:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Any
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodrigo A B Freire 2009-06-16 08:58:00 EDT
RHQ should support user/password SMTP authentication for sending alerts.

On an modern environment, isn't typical to have an "open relay" for sending the email alerts.
Deploying an MTA on local machine exclusively for relaying the email isn't exactly an user friendly operation.
Comment 1 Red Hat Bugzilla 2009-11-10 15:58:51 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2151
Comment 2 Heiko W. Rupp 2010-08-10 11:03:31 EDT
This needs ssl support too
Comment 3 John Mazzitelli 2010-08-10 11:04:17 EDT
this is in our mail-service.xml - it needs to be paramaterized and the user/password should be added to rhq-server.properties

<mbean code="org.jboss.mail.MailService"
       name="jboss:service=Mail">
    <attribute name="JNDIName">java:/Mail</attribute>
    <attribute name="User">nobody</attribute>
    <attribute name="Password">password</attribute>
Comment 4 Corey Welton 2010-08-10 14:01:35 EDT
Per triage, we should be looking at SSL here too.
Comment 6 Heiko W. Rupp 2013-09-04 04:35:52 EDT
Lowering prio. This is still very desirable, but not urgent.
Comment 7 Heiko W. Rupp 2013-09-04 04:37:22 EDT
And btw:

a) the setup has been changed since RHQ 4.6 with the new EAP6 container
b) this is for the upstream RHQ project, which is happy to accept patches :-)

Note You need to log in before you can comment on or make changes to this bug.